View Issue Details

IDProjectCategoryView StatusLast Update
0002980Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version16299
Product Version6.5.0.132 
Target VersionFixed in Version6.5.0.183 
Summary0002980: Rig Control: FTDX 3000 EQ Frequency and Level sliders don't work
DescriptionThese sliders in Rig Control don't work for the FTDX 3000. They don't set or read the corresponding value

159: EQ1 Frequency
160: EQ1 Level
162: EQ2 Frequency
163: EQ2 Level
166: EQ3 Level

Curiously, this slider manipulates a similar setting as the above family but does work correctly:

165: EQ3 Frequency
Steps To Reproduce1) Fire up Rig Control
2) Connect to the FTDX 3000
3) Customize the slider view to include all or any of the broken sliders listed above
4) Set the radio to show this same parameters in the menu
5) Work the slider

BUG#1) As the slider in Rig control is adjusted, the value on the radio doesn't change.
BUG#2) Adjusting the parameter with the radio's front panel doesn't change the value or position of the slider in Rig Control.
TagsFTDX-3000, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-12-11 18:18

manager   ~0006576

Fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4540

WA9PIE

2019-01-09 13:43

administrator   ~0006918

Validated by user

Issue History

Date Modified Username Field Change
2018-12-11 06:26 K7ZCZ New Issue
2018-12-11 06:28 K7ZCZ Tag Attached: FTDX-3000
2018-12-11 06:28 K7ZCZ Tag Attached: Yaesu
2018-12-11 18:18 K7ZCZ Assigned To => K7ZCZ
2018-12-11 18:18 K7ZCZ Status new => resolved
2018-12-11 18:18 K7ZCZ Resolution open => fixed
2018-12-11 18:18 K7ZCZ Note Added: 0006576
2018-12-14 17:18 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-14 17:18 K7ZCZ Steps to Reproduce Updated View Revisions
2019-01-09 13:43 WA9PIE Status resolved => closed
2019-01-09 13:43 WA9PIE Testing Not Started => Beta Successful
2019-01-09 13:43 WA9PIE Note Added: 0006918
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe